<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author lorena.salamanca

@description página que muestra los datos de un avaluador para consulta

@modified pedro.garcia
    - documentación
    - implementación de funcionalidad e integración
-->

<h:panelGrid id="consultarAvaluadorExternoForm"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%">


    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Territorial que contrató:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.territorial.codigo} - #{adminInfoAvaluadoresExternos.currentAvaluador.territorial.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Profesión: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.profesion.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo Documento: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número documento: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Primer apellido: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.primerApellido}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Segundo apellido: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.segundoApellido}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Primer nombre: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.primerNombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Segundo nombre: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.segundoNombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Departamento residencia:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.direccionDepartamento.codigo} - #{adminInfoAvaluadoresExternos.currentAvaluador.direccionDepartamento.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Municipio residencia:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.direccionMunicipio.codigo} - #{adminInfoAvaluadoresExternos.currentAvaluador.direccionMunicipio.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.direccion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Teléfono: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.telefono}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Celular: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.celular}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Correo electrónico: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoAvaluadoresExternos.currentAvaluador.correoElectronico}"
                styleClass="outputTextStyle" />

            <ui:remove>
                <h:outputLabel value="Genera IVA: " styleClass="outputLabelStyle" />
                <h:selectBooleanCheckbox value="false" title="FIXME" disabled="true" />
            </ui:remove>

        </h:panelGrid>
    </p:fieldset>

</h:panelGrid>